<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.BusiEqmFaultServiceMapper">
    <sql id="Base_Column_List">
         id as id,
         fault_fcode as faultFcode,
         fault_ftype as faultFtype,
         fault_fshow AS faultFshow,
         fault_possible_reasons as faultPossibleReasons,
         fault_influence as faultIinfluence,
         fault_position  as faultPosition,
         fault_notes as faultNotes
    </sql>
    <select id="getBusiEqmFaultInfo" resultType="com.huatek.busi.vo.BusiEqmFaultVo">
		SELECT
			<include refid="Base_Column_List"/>
		FROM
			busi_eqm_fault
		WHERE fault_fcode=#{faultFcode} limit 1
  </select>
</mapper>